extends Node2D
class_name DragonSprite


@export var hat: Sprite2D
@export var shirt: Sprite2D
@export var shoes: Sprite2D


func dress(hat: Texture2D, shirt: Texture2D, shoes: Texture2D):
	self.hat.texture = hat
	self.shirt.texture = shirt
	self.shoes.texture = shoes


func walk_left():
	$Sprite.scale.x = 1
	$DragonBody.scale.x = 1


func walk_right():
	$Sprite.scale.x = -1
	$DragonBody.scale.x = -1
