extends Button


@export var dragon_list: PackedScene
@onready var base: GameManager = $"../.."


func _on_pressed() -> void:
	var list: DragonList = dragon_list.instantiate()
	list.set_library(base._library)
	
	var window_position: Vector2i = DisplayServer.window_get_position()
	var window_size: Vector2i = DisplayServer.window_get_size()
	
	list.position = window_position - list.size / 2
	
	list.show()
	add_child(list)
