extends Node
class_name DragonLibrary


var dragons: Array[DragonProperties] = []

var hat_outfits: DragonOutfit
var shirt_outfits: DragonOutfit
var shoes_outfits: DragonOutfit


func _init(hat_outfits: DragonOutfit, shirt_outfits: DragonOutfit, shoes_outfits: DragonOutfit) -> void:
	self.hat_outfits = hat_outfits
	self.shirt_outfits = shirt_outfits
	self.shoes_outfits = shoes_outfits


func add_dragon(properties: DragonProperties) -> int:
	if properties.id == 0:
		properties.id = randi()
	dragons.push_back(properties)
	return properties.id


func add_dragons(dragons: Array[DragonProperties]) -> void:
	for d in dragons:
		dragons.push_back(d)
